Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class TableAdvanceOption

    java.lang.Object
      jet.api.TableAdvanceOption

    public class TableAdvanceOption

extends java.lang.Object

This class defines the group's advanced sort condition. This definition will be used if you set the table's group to be sorted by `ASCENDING`, `ASCENDING` or `NOTSORTED`.

Field Summary
`static java.lang.String` | `SELECT_N_ALL` The SeletcN type.
`static java.lang.String` | `SELECT_N_BOTTOM` The SeletcN type.
`static java.lang.String` | `SELECT_N_TOP` The SeletcN type.

Constructor Summary
`TableAdvanceOption()` Constructor.
`TableAdvanceOption(java.lang.String parameterNameForTopN, int selectN, java.lang.String otherName)` Constructor.
`TableAdvanceOption(java.lang.String selectNType, java.lang.String parameterNameForTopN, int selectN, java.lang.String otherName)` Constructor.

Method Summary
`java.lang.Object` | `clone()` Clones a Table Advanced Option.
`java.lang.String` | `getOtherName()` Gets the group name for all of the other records that don't match the Select N condition will be displayed (which by default are hidden) in another group.
`java.lang.String` | `getParameterName()` Gets the mapping name of the parameter which can define the SelectN number.
`int` | `getTopN()` Gets the SelectN number to define groups that will be displayed while the others are hidden.
`void` | `setOtherName(java.lang.String otherName)` Sets the group name for all of the other records that don't match the Select N condition will be displayed (which by default are hidden) in another group.
`void` | `setParameterName(java.lang.String parameterNameForTopN)` Sets the mapping name of the parameter which can define a SelectN number.
`void` | `setTopN(int selectN)` Specifies the SelectN number to define groups that will be displayed while the others are hidden.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SELECT_N_ALL

    public static final java.lang.String SELECT_N_ALL

  The SeletcN type.

### SELECT_N_TOP

    public static final java.lang.String SELECT_N_TOP

  The SeletcN type.

### SELECT_N_BOTTOM

    public static final java.lang.String SELECT_N_BOTTOM

  The SeletcN type.

Constructor Detail

### TableAdvanceOption

    public TableAdvanceOption()

  Constructor. Creates an Advanced Option for a Table.

### TableAdvanceOption

    public TableAdvanceOption(java.lang.String parameterNameForTopN,
                              int selectN,
                              java.lang.String otherName)

  Constructor. Creates an Advanced Option for a Table.

  Parameters:
    `parameterNameForTopN` - The mapping name of the parameter which can define a SelectN number.
    `selectN` - The number of SelectN.
    `otherName` - The group name for all of the other records that don't match the Select N condition will be displayed (which by default are hidden) in another group.
  See Also:
    `#SELECT_N_ALL}, {@link #SELECT_N_TOP},{@link #SELECT_N_BOTTOM}`

### TableAdvanceOption

    public TableAdvanceOption(java.lang.String selectNType,
                              java.lang.String parameterNameForTopN,
                              int selectN,
                              java.lang.String otherName)

  Constructor. Creates an Advanced Option for a Table.

  Parameters:
    `parameterNameForTopN` - The mapping name of the parameter which can define a SelectN number.
    `selectN` - The number of SelectN.
    `otherName` - The group name for all of the other records that don't match the Select N condition will be displayed (which by default are hidden) in another group.
    `selectNType` - The String type of SelectN.
  See Also:
    `#SELECT_N_ALL}, {@link #SELECT_N_TOP},{@link #SELECT_N_BOTTOM}`

Method Detail

### setTopN

    public void setTopN(int selectN)

  Specifies the SelectN number to define groups that will be displayed while the others are hidden. JReport now supports three opinions of the Select N: `SELECT_N_ALL`, `SELECT_N_BOTTOM` and `SELECT_N_TOP`.

  Parameters:
    `selectN` - The SelectN number.

### getTopN

    public int getTopN()

  Gets the SelectN number to define groups that will be displayed while the others are hidden.

  Returns:
    the int value of SelectN number.

### setParameterName

    public void setParameterName(java.lang.String parameterNameForTopN)

  Sets the mapping name of the parameter which can define a SelectN number.

  Parameters:
    `parameterNameForTopN` - The mapping name of the parameter to define the SelectN number.

### getParameterName

    public java.lang.String getParameterName()

  Gets the mapping name of the parameter which can define the SelectN number.

  Returns:
    the mapping name of parameter if it defines the SelectN number.

### setOtherName

    public void setOtherName(java.lang.String otherName)

  Sets the group name for all of the other records that don't match the Select N condition will be displayed (which by default are hidden) in another group.

  Parameters:
    `otherName` - Name of the `Others` group of SelectN.

### getOtherName

    public java.lang.String getOtherName()

  Gets the group name for all of the other records that don't match the Select N condition will be displayed (which by default are hidden) in another group.

  Returns:
    name of the `Others` group of SelectN.

### clone

    public java.lang.Object clone()

  Clones a Table Advanced Option.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    a copy of Table Advanced Option.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD